from framework import gui
import xbmc


class SettingsWindow(gui.XMLWindow):
    xml = 'etv_settings.xml'

    QUALITY_LOW = 1
    QUALITY_MIDIUM = 2
    QUALITY_HIGH = 3

    quality_btns = [9031, 9032, 9033]

    def onInit(self):
        q = self.config.GetValue('quality')
        if q:
            q = int(q)
        else:
            q = 2
        contrl_id = str(9030 + q)
        xbmc.executebuiltin("Skin.ResetSettings()")
        xbmc.executebuiltin("Skin.ToggleSetting(%s)" % contrl_id)
        xbmc.executebuiltin("SetFocus(%s,1)" % contrl_id)

    @gui.onclick(9033)
    def highClicked(self):
        self.setQuality(self.QUALITY_HIGH)

    @gui.onclick(9032)
    def midiumClicked(self):
        self.setQuality(self.QUALITY_MIDIUM)

    @gui.onclick(9031)
    def lowClicked(self):
        self.setQuality(self.QUALITY_LOW)

    def setQuality(self, value):
        self.params['main_window'].quality = value
        self.config.SetValue('quality', str(value))

    @gui.onclick(9035)
    def logOut(self):
        self.config.Reset('access_token')
        self.config.Reset('refresh_token')
        self.close()
        self.params['main_window'].close()
